package cn.com.qmth.stmms.biz.distributpaper.service;

import java.util.List;

import cn.com.qmth.stmms.biz.distributpaper.model.ProblemHistory;

public interface ProblemHistoryService {

    ProblemHistory save(ProblemHistory problemHistory);

    ProblemHistory findById(Integer id);

    void deleteById(Integer id);

    void delete(ProblemHistory ProblemHistory);

    List<ProblemHistory> findByExamIdAndSubjectIdAndStatusAndIsChecked(Integer examId, Integer subjectId,
            Integer status, boolean isChecked);

    List<ProblemHistory> findByExamIdAndSubjectIdAndBlockId(Integer examId, Integer subjectId, Integer blockId);

}
